## AgsSFZRegion

AgsSFZRegion — interfacing SFZ regions

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_SFZ_REGION_GET_OBJ_MUTEX()
GObject * | ags_sfz_region_get_group ()
void | ags_sfz_region_set_group ()
GObject * | ags_sfz_region_get_sample ()
void | ags_sfz_region_set_sample ()
GList * | ags_sfz_region_get_control ()
void | ags_sfz_region_insert_control ()
gchar * | ags_sfz_region_lookup_control ()
AgsSFZRegion * | ags_sfz_region_new ()

## Properties

AgsSFZGroup * | group | Read / Write
int | nth-region | Read / Write
AgsSFZSample * | sample | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsSFZRegion

## Includes

    #include <ags/audio/file/ags_sfz_region.h>

## Description

AgsSFZRegion is the base object to ineract with SFZ regions.

## Functions

### AGS_SFZ_REGION_GET_OBJ_MUTEX()

    #define AGS_SFZ_REGION_GET_OBJ_MUTEX(obj) (&(((AgsSFZRegion *) obj)->obj_mutex))

### ags_sfz_region_get_group ()

    GObject *
    ags_sfz_region_get_group (AgsSFZRegion *sfz_region);

Get the groups of `sfz_region` .

#### Parameters

sfz_region | the AgsSFZRegion |

#### Returns

the AgsSFZGroup.

[transfer full]

Since: 3.17.0

### ags_sfz_region_set_group ()

    void
    ags_sfz_region_set_group (AgsSFZRegion *sfz_region,
                              GObject *group);

Set the group field of `sfz_region`

#### Parameters

sfz_region | the AgsSFZRegion |
group | the AgsSFZGroup. | [transfer none]

Since: 3.17.0

### ags_sfz_region_get_sample ()

    GObject *
    ags_sfz_region_get_sample (AgsSFZRegion *sfz_region);

Get the samples of `sfz_region` .

#### Parameters

sfz_region | the AgsSFZRegion |

#### Returns

the AgsSFZSample.

[transfer full]

Since: 3.17.0

### ags_sfz_region_set_sample ()

    void
    ags_sfz_region_set_sample (AgsSFZRegion *sfz_region,
                               GObject *sample);

Set the sample field of `sfz_region`

#### Parameters

sfz_region | the AgsSFZRegion |
sample | the AgsSFZSample. | [transfer none]

Since: 3.17.0

### ags_sfz_region_get_control ()

    GList *
    ags_sfz_region_get_control (AgsSFZRegion *sfz_region);

Get all control of `sfz_region` .

#### Parameters

sfz_region | the AgsSFZRegion |

#### Returns

the GList containing controls as string.

[element-type utf8][transfer container]

Since: 3.17.0

### ags_sfz_region_insert_control ()

    void
    ags_sfz_region_insert_control (AgsSFZRegion *sfz_region,
                                   gchar *key,
                                   gchar *value);

Insert control specified by `key` and `value` to `sfz_region` .

#### Parameters

sfz_region | the AgsSFZRegion |
key | the key |
value | the value |

Since: 3.0.0

### ags_sfz_region_lookup_control ()

    gchar *
    ags_sfz_region_lookup_control (AgsSFZRegion *sfz_region,
                                   gchar *key);

Lookup control specified by `key` of `sfz_region` .

#### Parameters

sfz_region | the AgsSFZRegion |
key | the key |

#### Returns

the matching value of key.

[transfer full]

Since: 3.0.0

### ags_sfz_region_new ()

    AgsSFZRegion *
    ags_sfz_region_new ();

Creates a new instance of AgsSFZRegion.

#### Returns

the new AgsSFZRegion.

Since: 3.0.0

## Property Details

### The `“group”` property

      “group”                    AgsSFZGroup *

The group assigned with.

Owner: AgsSFZRegion

Flags: Read / Write

Since: 3.0.0

### The `“nth-region”` property

      “nth-region”               int

The nth region.

Owner: AgsSFZRegion

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since: 3.0.0

### The `“sample”` property

      “sample”                   AgsSFZSample *

The sample assigned with.

Owner: AgsSFZRegion

Flags: Read / Write

Since: 3.0.0